##
## This file is part of the ViTE project.
##
## This software is governed by the CeCILL-A license under French law
## and abiding by the rules of distribution of free software. You can
## use, modify and/or redistribute the software under the terms of the
## CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
## URL: "http://www.cecill.info".
## 
## As a counterpart to the access to the source code and rights to copy,
## modify and redistribute granted by the license, users are provided
## only with a limited warranty and the software's author, the holder of
## the economic rights, and the successive licensors have only limited
## liability.
## 
## In this respect, the user's attention is drawn to the risks associated
## with loading, using, modifying and/or developing or reproducing the
## software by the user in light of its specific status of free software,
## that may mean that it is complicated to manipulate, and that also
## therefore means that it is reserved for developers and experienced
## professionals having in-depth computer knowledge. Users are therefore
## encouraged to load and test the software's suitability as regards
## their requirements in conditions enabling the security of their
## systems and/or data to be ensured and, more generally, to use and
## operate it in the same conditions as regards security.
## 
## The fact that you are presently reading this means that you have had
## knowledge of the CeCILL-A license and that you accept its terms.
##
##
## ViTE developpers are (for version 0.* to 1.0):
##
##        - COULOMB Kevin
##        - FAVERGE Mathieu
##        - JAZEIX Johnny
##        - LAGRASSE Olivier
##        - MARCOUEILLE Jule
##        - NOISETTE Pascal
##        - REDONDY Arthur
##        - VUCHENER Clément 
##
######################################################################
# Automatically generated by qmake (2.01a) mar. mars 3 19:58:07 2009
######################################################################

#RESOURCES= vite.qrc
OBJECTS_DIR=../bin
DESTDIR=../bin
CONFIG+=uitools debug
QT+=opengl
TEMPLATE = app
TARGET = vite
macx:QMAKE_LIBS_OPENGL += -framework GLUT -lobjc
DEPENDPATH += . interface message parser trace trace/values
INCLUDEPATH += . interface message trace trace/values parser
QMAKE_CFLAGS += -O2
QMAKE_CXXFLAGS += -O2

!macx{
 LIBS += -lglut
}

macx {
 QMAKESPEC = macx-g++
 QMAKE_LFLAGS += -F/System/Library/Frameworks/GLUT
 LIBS += -framework GLUT -L/opt/local/include/GL
}

# Input
HEADERS += message/Message.hpp \
           message/Errors.hpp \
           main_resource.hpp \
# Info header
           info/info.hpp \
# Interface headers
           interface/interface.hpp \
           interface/interface_console.hpp \
           interface/interface_graphic.hpp \
           interface/parsing_thread.hpp \
           interface/resource.hpp \
           interface/help.hpp \
# Render headers
           render/render.hpp \
           render/Render_area.hpp \
           render/Render_opengl_dl.hpp \
           render/Render_opengl.hpp \
           render/render_svg.hpp \
           render/render_stats.hpp \
           render/render_stats_opengl.hpp \
           render/render_stats_svg.hpp \
#          render/vbo.hpp \
# Parser headers
           parser/Definition.hpp \
           parser/Line.hpp \
           parser/Parser.hpp \
           parser/ParserDefinitionDecoder.hpp \
           parser/ParserEventDecoder.hpp \
           parser/ParserPaje.hpp \
           parser/TokenSource.hpp \
# Data structure headers
           trace/Container.hpp \
           trace/ContainerType.hpp \
           trace/DrawTrace.hpp \
           trace/DrawTree.hpp \
           trace/Entity.hpp \
           trace/EntityType.hpp \
           trace/EntityValue.hpp \
           trace/Event.hpp \
           trace/EventType.hpp \
           trace/resource.hpp \
           trace/State.hpp \
           trace/StateChange.hpp \
           trace/StateType.hpp \
           trace/Link.hpp \
           trace/LinkType.hpp \
           trace/Variable.hpp \
           trace/VariableType.hpp \
           trace/Trace.hpp \
           trace/values/Color.hpp \
           trace/values/Date.hpp \
           trace/values/Double.hpp \
           trace/values/Hex.hpp \
           trace/values/Integer.hpp \
           trace/values/Name.hpp \
           trace/values/String.hpp \
           trace/values/Value.hpp \
           trace/values/Values.hpp \
           trace/tree/BinaryTree.hpp \
           trace/tree/Node.hpp \
           trace/tree/Interval.hpp \
# General headers
           general/Tools.hpp \
# Statistics headers
           statistics/Stats_window.hpp \
           statistics/Statistic.hpp \
           statistics/DrawStats.hpp \
           statistics/DrawVDiagram.hpp \
           statistics/DrawHDiagram.hpp

FORMS += interface/info_window.ui interface/main_window.ui interface/option_export_window.ui interface/stats_viewer.ui
SOURCES +=  message/Message.cpp \
           message/Errors.cpp \
           main.cpp \
# Info code file
           info/info.cpp \
# Interface code files
           interface/interface_console.cpp \
           interface/interface_graphic.cpp \
           interface/parsing_thread.cpp \
           interface/help.cpp \
# Render code files
           render/Render_area.cpp \
           render/Render_opengl.cpp \
           render/render_svg.cpp \
           render/render_stats_opengl.cpp \
           render/render_stats_svg.cpp \
#           render/vbo.cpp \
# Parser code files
           parser/Definition.cpp \
           parser/Line.cpp \
           parser/ParserDefinitionDecoder.cpp \
           parser/ParserEventDecoder.cpp \
           parser/ParserPaje.cpp \
           parser/TokenSource.cpp \
# Data structure code files
           trace/Container.cpp \
           trace/ContainerType.cpp \
           trace/Entity.cpp \
           trace/EntityType.cpp \
           trace/EntityValue.cpp \
           trace/Event.cpp \
           trace/EventType.cpp \
           trace/State.cpp \
           trace/StateChange.cpp \
           trace/StateType.cpp \
           trace/Link.cpp \
           trace/Linktype.cpp \
           trace/Variable.cpp \
           trace/VariableType.cpp \
           trace/Trace.cpp \
           trace/values/Color.cpp \
           trace/values/Date.cpp \
           trace/values/Double.cpp \
           trace/values/Hex.cpp \
           trace/values/Integer.cpp \
           trace/values/Name.cpp \
           trace/values/String.cpp \
           trace/tree/Interval.cpp \
# General code files
           general/Tools.cpp \
# Statistics code files
           statistics/Stats_window.cpp \
           statistics/Statistic.cpp

RESOURCES += interface/vite.qrc
